# Uses of Interface
net.shibboleth.shared.service.ReloadableService

Packages that use ReloadableService
Package
Description
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.service.impl
Implementations of shared service interfaces.
net.shibboleth.shared.service.reloadable
Classes related to reloading beans.
net.shibboleth.shared.service.security.impl
Security-related service implementation classes.
net.shibboleth.shared.spring.service
Spring specific implementations of `ServiceableComponent` and `ReloadableService`.
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of ReloadableService in net.shibboleth.shared.service

Subinterfaces of ReloadableService in net.shibboleth.shared.service
Modifier and Type
Interface
Description
`interface`
`LoggingService`
A logging configuration abstraction that piggybacks on the `ReloadableService` interface.
Classes in net.shibboleth.shared.service that implement ReloadableService
Modifier and Type
Class
Description
`class`
`AbstractReloadableService<T>`
Base class for `ReloadableService`.
Fields in net.shibboleth.shared.service declared as ReloadableService
Modifier and Type
Field
Description
`private ReloadableService<T>`
ReloadableServiceGaugeSet.`service`
The service to report on.
Methods in net.shibboleth.shared.service that return ReloadableService
Modifier and Type
Method
Description
`ReloadableService<T>`
ReloadableServiceGaugeSet.`getService()`
Get the service to report on.
Methods in net.shibboleth.shared.service with parameters of type ReloadableService
Modifier and Type
Method
Description
`void`
ReloadableServiceGaugeSet.`setService(ReloadableService<T> svc)`
Set the service to report on.

## Uses of ReloadableService in net.shibboleth.shared.service.impl

Classes in net.shibboleth.shared.service.impl that implement ReloadableService
Modifier and Type
Class
Description
`class`
`LogbackLoggingService`
Simple `LoggingService` that watches for logback configuration file changes and reloads the file when a change occurs.

## Uses of ReloadableService in net.shibboleth.shared.service.reloadable

Fields in net.shibboleth.shared.service.reloadable declared as ReloadableService
Modifier and Type
Field
Description
`private final ReloadableService<ApplicationContext>`
ProxiedFactoryBean.`contextService`
Bean source.
`private final ReloadableService<ApplicationContext>`
ReloadableScope.`reloadableService`
Managed context service wrapper.
Constructors in net.shibboleth.shared.service.reloadable with parameters of type ReloadableService
Modifier
Constructor
Description
``
`ProxiedFactoryBean(ReloadableService<ApplicationContext> service, Class<T> type)`
Constructor.
``
`ProxiedFactoryBean(ReloadableService<ApplicationContext> service, Class<T> type, String name)`
Constructor.
``
`ProxiedFactoryBean(ReloadableService<ApplicationContext> service, Class<T> type, String name, String backup)`
Constructor.
``
`ReloadableScope(ReloadableService<ApplicationContext> service)`
Constructor.

## Uses of ReloadableService in net.shibboleth.shared.service.security.impl

Fields in net.shibboleth.shared.service.security.impl declared as ReloadableService
Modifier and Type
Field
Description
`private final ReloadableService<AccessControlService>`
DelegatingAccessControlService.`service`
The service which manages the reloading.
Constructors in net.shibboleth.shared.service.security.impl with parameters of type ReloadableService
Modifier
Constructor
Description
``
`DelegatingAccessControlService(ReloadableService<AccessControlService> acService)`
Constructor.

## Uses of ReloadableService in net.shibboleth.shared.spring.service

Classes in net.shibboleth.shared.spring.service that implement ReloadableService
Modifier and Type
Class
Description
`class`
`ReloadableSpringService<T>`
This class provides a reloading interface to a `ServiceableComponent` via Spring.

## Uses of ReloadableService in net.shibboleth.shared.testing

Classes in net.shibboleth.shared.testing that implement ReloadableService
Modifier and Type
Class
Description
`class`
`MockReloadableService<T>`
Utility class for wrapping a serviceable component in a dummy reloadable service.